%define name	perl-Crypt-OpenSSL-DSA
%define version	0.11
%define release	6mdk

Summary:	Crypt-OpenSSL-DSA module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Crypt-OpenSSL-DSA-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildArch:	noarch

%description
Crypt-OpenSSL-DSA module for perl

%prep
%setup -q -n Crypt-OpenSSL-DSA-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*/auto/Crypt/
%{perl_vendorlib}/*/Crypt/

%{_mandir}/*/*

%changelog
* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.11-6mdk
- Rebuild for new perl

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 0.11-5mdk
- do not own standard dir
- [DIRM]
 
* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-4mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.11-3mdk
- don't require perl, rpm will figure it out by itself
- buildrequires

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-2mdk
- rebuild for new auto{prov,req}

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.11-1mdk
- 0.11.

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10-2mdk
- build release

* Wed Nov 13 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10-1mdk
- initial cooker contrib.
